make app_queue 1.2 jump compliant (issue #5580)